Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
Error while installing NVIDIA_GLX*.i386.rpm on RH8
Results 1 to 7 of 7

Thread: Error while installing NVIDIA_GLX*.i386.rpm on RH8

Hybrid View

  1. #1
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    Error while installing NVIDIA_GLX*.i386.rpm on RH8

    I type in
    rpm -ivh NVIDIA_GLX*.i386.rpm
    AND THEN I get this spitted out at me...
    error: NVIDIA_GLX-1.0-3123.i386.rpm: MD5 digest: BAD Expected(347e47d1a02849b8e7f4fbd05a0f3883) != (5560349d5dfc3204e5191b8793c3df82)
    error: NVIDIA_GLX-1.0-3123.i386.rpm cannot be installed
    Can anyone help me here?

  2. #2

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    hello,
    make sure you have the latest NVidia drivers Version: 1.0-3123. Next get the tarball of kernel driver and do a make install with it. i also recommend the tarball for the GLX stuff - do a make install with it. from there it should be straight forward.

    here is a thread from an NVidia website
    nv forum

  3. #3
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    hmm, looks like the rpm is corrupt. Redownload and try again.

    But yeah, you have the idea. Thats prtty much how I did it. Except I have teh habit of doing a rpm -Uvh blah.rpm instead of rpm -ivh blah.rpm

    basically my way upgrades if possible, otherwise intalls. Not a big deal...

  4. #4

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    hmm, looks like the rpm is corrupt. Redownload and try again.
    It seems that NVidia's RPM's are always corrupt. Get the tarballs!!! It's not like it's hard at all.

    tar xvzf NVIDIA_k<tab> <enter>
    tar xvzf NVIDIA_G<tab> <enter>
    cd NVIDIA_k<tab> <enter>
    make install
    cd ..
    cd NVIDIA_G<tab> <enter>
    make install

    vi /etc/X11/XF86Config (For RH8.0. Others might use XF86Config-4)

    Put a '#' in front of 'Load GLcore' (If it's there), and 'Load DRI'. Do a search for 'nv' while your are in the 'XF86Config file', You'll be re-directed to the GeForce driver. Replace 'Driver: "nv"' with "Driver: "nvidia".

    Restart X, and enjoy!

  5. #5
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    Actaully, I never ahd a corrupt RPM, but thats the only thing that amde sense -- a corrupt RPM would about be one of the few things to cause an MD5 check error. Either that or a bad sector on the HD.

  6. #6
    Mentor Stuart's Avatar
    Join Date
    May 2002
    Location
    nb.ca
    Posts
    1,087

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    [quote author=Kernel_Killer link=board=6;threadid=5382;start=0#52385 date=1035286035]
    hmm, looks like the rpm is corrupt. Redownload and try again.
    It seems that NVidia's RPM's are always corrupt. Get the tarballs!!! It's not like it's hard at all.

    tar xvzf NVIDIA_k<tab> <enter>
    tar xvzf NVIDIA_G<tab> <enter>
    cd NVIDIA_k<tab> <enter>
    make install
    cd ..
    cd NVIDIA_G<tab> <enter>
    make install

    vi /etc/X11/XF86Config (For RH8.0. Others might use XF86Config-4)

    Put a '#' in front of 'Load GLcore' (If it's there), and 'Load DRI'. Do a search for 'nv' while your are in the 'XF86Config file', You'll be re-directed to the GeForce driver. Replace 'Driver: "nv"' with "Driver: "nvidia".

    Restart X, and enjoy!
    [/quote]

    Thats what I ended up doing - Although, interesting about what Schotty said
    one of the few things to cause an MD5 check error. Either that or a bad sector on the HD.
    I was installing rpms for my modem driver, and I kept on getting MD5 check errors from them too, so i moved them around on the HD, and they worked fine :S

  7. #7
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:Error while installing NVIDIA_GLX*.i386.rpm on RH8

    Eew .. that sucks. Bad drives start off slow and gain speed really fast. So, if you start noticing more and more problems, try formatting the drive out. If that dont work, buy an new drive.

Similar Threads

  1. Yum error while installing mysql
    By omidkamangar in forum Redhat / Fedora
    Replies: 2
    Last Post: 09-14-2007, 10:54 AM
  2. Error installing packages under Fedora
    By in forum Linux - Software, Applications & Programming
    Replies: 21
    Last Post: 03-04-2004, 02:17 PM
  3. MOVED: Error installing packages under Fedora
    By trickster in forum General Chat
    Replies: 0
    Last Post: 01-22-2004, 08:17 PM
  4. Error installing LILO color patch
    By Stuart in forum Linux - Software, Applications & Programming
    Replies: 1
    Last Post: 11-04-2002, 05:23 AM
  5. Minor error while installing Debian PPC
    By in forum Linux - General Topics
    Replies: 2
    Last Post: 01-05-2002, 03:13 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •